import 'package:cherry_flutter/cherry_flutter.dart';
import 'package:example/widgets/widgets.dart';
import 'package:example/widgets/wrap.dart';
import 'package:flutter/material.dart';

class ButtonPage extends StatelessWidget {
  const ButtonPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(title: Text('Button Page')),
      body: SingleChildScrollView(
        padding: EdgeInsets.all(20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            CommonTitle(title: '默认按钮'),
            AppWrap(
              children: [
                CHButton(
                  width: 110,
                  content: 'Default',
                ),
                CHButton(
                  width: 110,
                  color: const Color(0xff07c160),
                  content: 'RaiseButton',
                ),
                CHButton(
                  width: 110,
                  color: const Color(0xffee0a24),
                  content: 'dangerous',
                ),
              ],
            ),
            CommonTitle(title: '朴素按钮--1px'),
            AppWrap(children: [
              CHButton(
                width: 110,
                plain: true,
                content: 'Default',
              ),
              CHButton(
                width: 110,
                plain: true,
                color: const Color(0xff07c160),
                content: 'Outline',
              ),
              CHButton(
                width: 110,
                plain: true,
                plainBackgroundColor: const Color(0xffee0a24).withOpacity(0.05),
                color: const Color(0xffee0a24),
                content: 'Outline',
              ),
            ]),
            CommonTitle(title: '朴素按钮--0.5px'),
            AppWrap(children: [
              CHButton(
                width: 110,
                plain: true,
                hairline: 0.5,
                content: 'Default',
              ),
              CHButton(
                width: 110,
                plain: true,
                hairline: 0.5,
                color: const Color(0xff07c160),
                content: 'Outline',
              ),
              CHButton(
                width: 110,
                plain: true,
                hairline: 0.5,
                plainBackgroundColor: const Color(0xffee0a24).withOpacity(0.05),
                color: const Color(0xffee0a24),
                content: 'Outline',
              ),
            ]),
            CommonTitle(title: '禁用按钮'),
            AppWrap(children: [
              CHButton(
                width: 110,
                disabled: true,
                content: 'Default',
              ),
              CHButton(
                width: 110,
                disabled: true,
                color: const Color(0xff07c160),
                content: 'RaiseButton',
              ),
              CHButton(
                width: 110,
                plain: true,
                disabled: true,
                color: const Color(0xffee0a24),
                content: 'Outline',
              ),
            ]),
            CommonTitle(title: '加载状态'),
            AppWrap(alignment: WrapAlignment.start, children: [
              CHButton(
                width: 50,
                loading: true,
              ),
              SizedBox(width: 20),
              CHButton(
                width: 50,
                color: const Color(0xff07c160),
                loading: true,
              ),
              SizedBox(width: 20),
              CHButton(
                width: 110,
                color: const Color(0xff07c160),
                loading: true,
                content: '加载中..',
              ),
            ]),
            CommonTitle(title: '按钮形状'),
            AppWrap(alignment: WrapAlignment.start, children: [
              CHButton(
                height: 40,
                content: 'Full Button',
                color: const Color(0xff07c160),
              ),
              CHButton(
                width: 120,
                height: 40,
                content: 'Radius Button',
                borderRadius: BorderRadius.circular(5),
                color: const Color(0xff07c160),
              ),
              SizedBox(width: 20),
              CHButton(
                width: 120,
                height: 40,
                content: 'Radius Button',
                borderRadius: BorderRadius.circular(40),
                color: const Color(0xff07c160),
              ),
            ]),
            CommonTitle(title: '渐变'),
            AppWrap(alignment: WrapAlignment.start, children: [
              CHButton(
                width: 110,
                height: 40,
                content: '渐变按钮',
                color: LinearGradient(
                    begin: Alignment.centerLeft,
                    end: Alignment.centerRight,
                    colors: [Colors.orange, Colors.lightBlue]),
              ),
              SizedBox(width: 20),
              CHButton(
                width: 110,
                height: 40,
                content: '渐变按钮',
                color: LinearGradient(
                    begin: Alignment.topCenter,
                    end: Alignment.bottomCenter,
                    colors: [Colors.red, Colors.blue]),
              ),
            ]),
            CommonTitle(title: '阴影'),
            CHButton(
              width: 110,
              height: 40,
              content: '阴影按钮',
              color: Colors.lightBlue,
              boxShadow: [
                BoxShadow(
                  color: Colors.black12,
                  blurRadius: 4.0,
                  spreadRadius: 0,
                  offset: Offset(5, 5),
                )
              ],
            ),
          ],
        ),
      ),
    );
  }
}