import 'package:cherry_flutter/cherry_flutter.dart';
import 'package:example/widgets/widgets.dart';
import 'package:flutter/material.dart';

class DialogDemo extends StatelessWidget {
  const DialogDemo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(title: Text('Dialog Page')),
      body: SingleChildScrollView(
        padding: EdgeInsets.symmetric(horizontal: 20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            CommonTitle(title: '默认'),
            CHButton(
              color: Colors.blue,
              content: '默认',
              onTap: () async {
                final _result = await showDialog<String>(
                    context: context,
                    barrierDismissible: false,
                    builder: (context) {
                      return CHDialog(
                        message: '我是提示内容',
                        showCancelButton: true,
                        confirmTextColor: Theme.of(context).primaryColor,
                        onConfirm: () {
                          // do something
                        },
                      );
                    });
                print(_result);
              },
            ),
            CommonTitle(title: '标题'),
            CHButton(
              color: Colors.blue,
              content: '标题',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        title: '我是标题',
                        message: '我是提示内容我是提示内容我是提示内容',
                        showCancelButton: true,
                        confirmTextColor: Theme.of(context).primaryColor,
                        onConfirm: () {
                          // do something
                        },
                      );
                    });
              },
            ),
            CommonTitle(title: '内容方向'),
            CHButton(
              color: Colors.blue,
              content: 'Message Align',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        title: '我是标题',
                        message: '我是提示内容我是提示内容我是提示内容',
                        messageAlign: TextAlign.left,
                        showCancelButton: true,
                        confirmTextColor: Theme.of(context).primaryColor,
                        onConfirm: () {
                          // do something
                        },
                      );
                    });
              },
            ),
            CommonTitle(title: '确认/取消 dialog'),
            CHButton(
              color: Colors.blue,
              content: '确认 dialog',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        message: '我是提示内容我是提示内容我是提示内容',
                      );
                    });
              },
            ),
            SizedBox(height: 20),
            CHButton(
              color: Colors.blue,
              content: '取消 dialog',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        message: '我是提示内容我是提示内容我是提示内容',
                        showCancelButton: true,
                        showConfirmButton: false,
                        cancelTextColor: Theme.of(context).primaryColor,
                      );
                    });
              },
            ),
            CommonTitle(title: '自定义按钮文字'),
            CHButton(
              color: Colors.blue,
              content: '自定义按钮文字',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        message: '我是提示内容我是提示内容我是提示内容',
                        cancelButtonText: '取消',
                        confirmButtonText: '确定',
                        showCancelButton: true,
                      );
                    });
              },
            ),
            CommonTitle(title: '内容自定义'),
            CHButton(
              color: Colors.blue,
              content: '自定义内容',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        title: '我是标题',
                        child: Container(height: 50, color: Colors.red),
                        showCancelButton: true,
                        confirmTextColor: Theme.of(context).primaryColor,
                        onConfirm: () {
                          // do something
                        },
                      );
                    });
              },
            ),
            CommonTitle(title: '异步 callback async/await'),
            CHButton(
              color: Colors.blue,
              content: '异步 callback async/await',
              onTap: () async {
                await showDialog<String>(
                    context: context,
                    builder: (context) {
                      return CHDialog(
                        message: '我是提示内容我是提示内容我是提示内容',
                        confirmButtonText: '确定',
                        cancelButtonText: '取消',
                        showCancelButton: true,
                        confirmTextColor: Theme.of(context).primaryColor,
                        beforeClose: () async {
                          await Future.delayed(Duration(seconds: 2));
                        },
                      );
                    });
              },
            ),
            SizedBox(height: 20),
          ],
        ),
      ),
    );
  }
}
